#pragma once

#include <balancer/modules/cookie_policy/common/cookie_policy.h>

namespace NModCookiePolicy {
    class TPolicyGlobalScope final : public TNameMatchPolicyBase {
    public:
        TPolicyGlobalScope(TString name, const TPolicyGlobalScopeCfg& cfg);

    private:
        bool MatchRequest(const TPolicyArgs& args) const noexcept override;

        TMaybe<TAction> ApplyToResponseCookie(TResponseCookieView c, const TPolicyArgs& args) const noexcept override;

    private:
        const TPolicyGlobalScopeCfg Cfg_;
    };
}
